CHI::Driver::CacheCache(3)

NAME
CHI::Driver::CacheCache - CHI wrapper for Cache::Cache

VERSION
version 0.61

SYNOPSIS
    use CHI;

    my $cache = CHI->new(
        driver     => 'CacheCache',
        cc_class   => 'Cache::FileCache',
        cc_options => { cache_root => '/path/to/cache/root' },
    );

DESCRIPTION
This driver wraps any Cache::Cache cache.

CONSTRUCTOR OPTIONS
When using this driver, the following options can be passed to CHI->new() in addition to the CHI.

cc_class
    Name of Cache::Cache class to create, e.g. Cache::FileCache. Required.

cc_options
    Hashref of options to pass to Cache::Cache constructor. Required.

SEE ALSO
CHI

AUTHOR
Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.